story4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('story6/',include('story6.urls'),name="story6"),
    path('story7/', include('story7.urls'),name="story7"),
    path('story8/', include('story8.urls'),name="story8"),
    path('story9/', include('story9.urls'),name="story9"),
]

story9/urls.py
from django.urls import path
from . import views


app_name = 'story9'

urlpatterns = [
    path('login/',views.logIn, name='login'),
    path('signup/', views.signUp, name='signup'),
    path('logout/', views.logOut, name='logout'),
   

]

story9/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.

story9/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm


class LoginForm(AuthenticationForm):
    username = forms.CharField(label="Username", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signIn-username',
        'placeholder' : 'Username',
        'type' : 'text',
        'required' : True
    }))

    password = forms.CharField(label="Password", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signIn-password',
        'placeholder' : 'Password',
        'type' : 'password',
        'required' : True
    }))
    
class SignUpForm(UserCreationForm):
    first_name = forms.CharField(label="First name", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-firstName',
        'placeholder' : 'First name',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    last_name = forms.CharField(label="Last name", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'placeholder' : 'Last name',
        'id' : 'signUp-lastName',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    username = forms.CharField(label="Username", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-username',
        'placeholder' : 'Username',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    password1 = forms.CharField(label="Password", widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-password1',
        'placeholder' : 'Password',
        'type' : 'password',
        'style' : 'width: 30vw;',
        'required' : True
    }))
    password2 = forms.CharField(label="Confirm password", widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-password2',
        'placeholder' : 'Confirm Password',
        'type' : 'password',
        'style' : 'width: 30vw;',
        'required' : True
    }))

class Meta:
    model = User
    fields = ['first_name', 'last_name', 'username', 'password1', 'password2']

story9/views.py
from django.shortcuts import render, redirect
from .forms import LoginForm, SignUpForm
from django.contrib.auth.models import User
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm


# Create your views here.

def logIn(request):
    if request.method == "POST":
        form = LoginForm(data = request.POST)

        if form.is_valid():
            usernameInput = request.POST["username"]
            passwordInput = request.POST["password"]

            print(usernameInput, passwordInput)
            user = authenticate(request, username = usernameInput, password = passwordInput)

            if user is not None:
                login(request, user)
                return redirect('story9:login')

        else:
            messages.error(request, 'Invalid entry')

    else:
        form = LoginForm()

    context = {
        "form" : form,
    }

    return render(request, "login.html", context)

def signUp(request):
    if request.method == 'POST':
        form = SignUpForm(request.POST)

        if form.is_valid():
            user = form.save()
            login(request, user)
            return redirect("story9:login")

        else:
            for msg in form.error_messages:
                messages.error(request, 'Invalid entry')

    else:
        form = SignUpForm()

    context = {
        'form' : form
    }

    return render(request, "signup.html", context)

def logOut(request):
    logout(request)
    return redirect("story9:login")

story9/templates/login.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<body>
    {% block content %}
    <section class=" hello" id="hello">
        <div class="container">
            <div class="card_form">
                <div class="card">
                    <div class="main-story10 d-flex flex-column justify-content-center">
                            <div class="row">
                                <div class="right-page col">
                                    {% if user.is_authenticated == False %}
                                    <div class="login content mx-5">
                                        {% if messages %}
                                            {% for message in messages %}
                                                <p>{{message}}</p>
                                            {% endfor %}
                                        {% endif %}
                                        <div class="login-form">
                                                <h1 class="card__title" font-style : Poppins> Login </h1>
                                            <form method="POST">
                                                {% csrf_token %} 
                                                {{ form }}
                                                <div>
                                                    <button type="submit" name="btn-login" id="btn-logIn" class="btn btn-one mt-4">Log In</button>
                                                </div>
                                            </form>
                                        </div>
                        
                                        <div class="info mt-5">
                                            <p>
                                                Don't have an account? <a class="sign-up-in-link" href="{% url 'story9:signup' %}"><strong>Sign up.</strong></a>
                                            </p>
                                        </div>
                                    </div>
                        
                                    {% else %}
                                        <div class="success mt-5">
                                            <div class="greeting">
                                                    <h1 class="card__title" font-style : Poppins> Welcome!</h1>
                                                        <p class="card__subtitle ">{{user.username}}</p>
                                            </div>
                                            <div class="btn-logout">
                                                    <form action="{% url 'story9:logout' %}">
                                                        <input type="submit" id="btn-logOut" class="btn btn-one" value="Log out">
                                                    </form>
                                                </div>
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        
                        
                        </div>
                        

                </div>
            </div>
        </div>
    </section>
    
    {% endblock %}
</body>

</html>

story9/templates/signup.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<body>

    {% block content %}
    <section class=" form" id="form">
        <div class="container">
            <div class="card_form">
                <div class="card">
                    <h1 class="card__title" font-style : Poppins> Create a new account
                    </h1>

                    <div class="main-story10 ">
                        {% if messages %}
                        {% for message in messages %}
                        <p>{{message}}</p>
                        {% endfor %}
                        {% endif %}


                        <div class="login-content mx-5 ">

                            <!-- <h6 class="titles"> Create a new account </h6> -->

                            <div class="register-form">
                                <form method="POST">
                                    {% csrf_token %}
                                    {{ form }}
                                    <button type="submit" name="btn-signup" id='btn-signUp' class="btn btn-one mt-4">Sign Up</button>
                                </form>
                            </div>
        


                            <div class="info mt-4">
                                <p>
                                    Have an account already? <a class="sign-up-in-link"
                                        href="{% url 'story9:login' %}"><strong>Sign in.</strong></a>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
        </div>
        </div>
    </section>

    {% endblock content %}

</body>

</html>